=== modified file 'loggerhead/__init__.py'
--- loggerhead/__init__.py	2008-07-29 22:00:33 +0000
+++ loggerhead/__init__.py	2008-07-26 14:52:44 +0000
@@ -13,5 +13,3 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 """Just a simple container to turn this into a python package."""
-__version__ = '1.6'
-required_bzrlib = (1, 6)

=== added file 'loggerhead/release.py'
--- loggerhead/release.py	1970-01-01 00:00:00 +0000
+++ loggerhead/release.py	2008-03-06 01:59:26 +0000
@@ -0,0 +1,12 @@
+# Release information about loggerhead
+
+version = "1.2.1"
+
+description = "Loggerhead is a web viewer for projects in bazaar."
+
+author = "Robey Pointer"
+email = "robey@lag.net"
+
+license = "GPL"
+url = "http://launchpad.net/loggerhead"
+download_url = "https://launchpad.net/loggerhead/trunk/1.2/+download/loggerhead-1.2.tar.gz"

=== modified file 'setup.py'
--- setup.py	2008-07-31 04:49:15 +0000
+++ setup.py	2008-07-29 20:42:25 +0000
@@ -1,7 +1,4 @@
 #!/usr/bin/env python
-#
-# Copyright (C) 2008  Canonical Ltd.
-#                     (Authored by Martin Albisetti <argentina@gmail.com>)
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
@@ -15,26 +12,40 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
 """Loggerhead is a web viewer for projects in bazaar"""
 
-
-from distutils.core import setup
-import loggerhead
-
+from distutils.core import setup, Command
+from distutils.command.install_data import install_data
+from distutils.dep_util import newer
+from distutils.log import info
+import glob
+import os
+import sys
+
+
+if sys.version_info < (2, 4):
+    sys.stderr.write("[ERROR] Not a supported Python version. Need 2.4+\n")
+    sys.exit(1)
+
+class InstallData(install_data):
+    def run(self):
+        install_data.run(self)
 
 setup(
     name = "loggerhead",
-    version = loggerhead.__version__,
+    version = "1.6",
     description = "Loggerhead is a web viewer for projects in bazaar",
     license = "GNU GPL v2 or later",
     maintainer = "Michael Hudson",
     maintainer_email = "michael.hudson@canonical.com",
     scripts = ["start-loggerhead", "stop-loggerhead", "serve-branches"],
-    packages = ["loggerhead"],
-    package_data = {"loggerhead":["templates/*.pt"]},
-    data_files = [
-        ('share/man/man1',['start-loggerhead.1', 'stop-loggerhead.1']),
-        ('share/doc/loggerhead', ['loggerhead.conf.example']),
-        ],
+    packages = ["loggerhead",
+               ],
+    package_data = {"loggerhead":["templates/*"]},
+    data_files=[
+                ('share/man/man1',['start-loggerhead.1', 'stop-loggerhead.1']),
+                ('share/doc/loggerhead', ['loggerhead.conf.example'])
+               ],
+    cmdclass={'install_data':InstallData}
     )
+    

